$! (c) Alexey Chupahin  18-APR-2006
$! GNU
$!
$!
$ SET NOON
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Configuring SDL_gfx library"
$WRITE SYS$OUTPUT " "
$! Checking architecture
$DECC = F$SEARCH("SYS$SYSTEM:DECC$COMPILER.EXE") .NES. ""
$    IF F$GETSYI("ARCH_TYPE").EQ.1 THEN CPU = "VAX"
$    IF F$GETSYI("ARCH_TYPE").EQ.2 THEN CPU = "Alpha"
$    IF F$GETSYI("ARCH_TYPE").EQ.3 THEN CPU = "I64"
$WRITE SYS$OUTPUT "Checking architecture   ...  ", CPU
$SHARED=0
$IF ( (CPU.EQS."Alpha").OR.(CPU.EQS."I64") )
$  THEN
$       SHARED=64
$  ELSE
$       SHARED=32
$ENDIF
$!
$! VAX is not supported: have no 64-bit  long long type 
$!
$IF (DECC) THEN $WRITE SYS$OUTPUT  "Compiler		...  DEC C"
$IF (.NOT. DECC) THEN $WRITE SYS$OUTPUT  "BAD compiler" GOTO EXIT
$MMS = F$SEARCH("SYS$SYSTEM:MMS.EXE") .NES. ""
$MMK = F$TYPE(MMK) 
$IF (MMS .OR. MMK) THEN GOTO TEST_LIBRARIES
$! I cant find any make tool
$GOTO EXIT
$!
$!
$TEST_LIBRARIES:
$!   Setting as MAKE utility one of MMS or MMK. I prefer MMS.
$IF (MMK) THEN MAKE="MMK"
$IF (MMS) THEN MAKE="MMS"
$WRITE SYS$OUTPUT "Checking build utility	...  ''MAKE'"
$WRITE SYS$OUTPUT " "
$!
$!
$!"Checking for correct SDL library"
$ DEFINE SYS$ERROR _NLA0:
$ DEFINE SYS$OUTPUT _NLA0:
$ LIBSDL_STATIC=0
$ CC/name=(as_is,short)/float=ieee/OBJECT=TEST.OBJ/INCLUDE=(SDL) SYS$INPUT
#include <stdio.h>
#include <stdlib.h>
#include <SDL.h>

int main(int argc, char *argv[])
{
        SDL_version compiled;

        /* Initialize SDL */
        if ( SDL_Init(0) < 0 ) {
                fprintf(stderr, "Couldn't initialize SDL: %s\n",SDL_GetError());                exit(2);
        }
#ifdef DEBUG
        fprintf(stderr, "SDL initialized\n");
#endif
#if SDL_VERSION_ATLEAST(1, 2, 11)
#else
        printf("This version is too old. Please get newest\n");
        printf("From fafner.dyndns.org/~alexey/libsdl/public.html\n");
	exit(2);
#endif
        printf("checking version libSDL  : %d.%d.%d\n",
                        SDL_Linked_Version()->major,
                        SDL_Linked_Version()->minor,
                        SDL_Linked_Version()->patch);
        SDL_Quit();
        return(0);
}

$TMP = $STATUS
$DEASS SYS$ERROR
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_LIBSDL=0
$       GOTO NEXT0
$ENDIF
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST,LIBSDL:LIBSDL$SHR/OPT
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10000001)
$  THEN
$       LINK/EXE=TEST TEST,LIBSDL:LIBSDL/OPT
$       TMP = $STATUS
$       IF (TMP .NE. %X10000001)
$         THEN
$               TMP = $STATUS
$               HAVE_LIBSDL=0
$               GOTO NEXT0
$         ELSE
$               LIBSDL_STATIC=1
$       ENDIF
$ENDIF
$!
$RUN TEST
$IF ($STATUS .NE. %X00000001)
$  THEN
$       HAVE_LIBSDL=0
$	GOTO NEXT0
$  ELSE
$        HAVE_LIBSDL=1
$ENDIF
$DEAS  SYS$ERROR
$NEXT0:
$IF (HAVE_LIBSDL.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct libSDL  ...   Yes"
$  ELSE
$       WRITE SYS$OUTPUT "Checking for correct libSDL  ...   No"
$	GOTO EXIT
$ENDIF
$!
$!
$! Checking for lrint
$!
$ DEFINE SYS$ERROR _NLA0:
$ DEFINE SYS$OUTPUT _NLA0:
$ CC/name=(as_is,short)/float=ieee/OBJECT=TEST.OBJ SYS$INPUT
#include <math.h>

int main(int argc, char *argv[])
{
	long x=lrint((double)0);
        return(0);
}

$TMP = $STATUS
$DEAS  SYS$ERROR
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_LRINT=0
$       GOTO NEXT1
$ENDIF
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$DEAS  SYS$ERROR
$IF (TMP .NE. %X10000001)
$  THEN
$      	HAVE_LRINT=0
$  ELSE
$       HAVE_LRINT=1
$ENDIF
$NEXT1:
$IF (HAVE_LRINT.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for lrint  ...   Yes"
$  ELSE
$       WRITE SYS$OUTPUT "Checking for lrint  ...   No"
$ENDIF
$!
$!
$IF (HAVE_LRINT.EQ.0) .AND. (F$SEARCH("SDL_GFXPRIMITIVES.H;2").EQS."")
$  THEN
$	APP SYS$INPUT SDL_GFXPRIMITIVES.H;1
inline long int lrint(double x)
{
	double floor(double);
	double f=floor(x);

	return x-f<0.5 ? f : f+1;
}
$	ren SDL_GFXPRIMITIVES.H;1 SDL_GFXPRIMITIVES.H;2
$ENDIF
$!
$!
$IF (LIBSDL_STATIC.NE.1)
$  THEN
$	OPEN/WRITE OUT LIBSDL_GFX$SHR.OPT
$	WRITE OUT "SYS$SHARE:SDL_GFX$SHR/SHARE"
$	CLOSE OUT
$	OPEN/WRITE OUT [.test]LIBSDL_GFX$SHR.OPT
$	WRITE OUT "[-]SDL_GFX$SHR/SHARE"
$	CLOSE OUT
$  ELSE
$	OPEN/WRITE OUT LIBSDL_GFX.OPT
$ 	WRITE OUT "LIBSDL_GFX:LIBSDL_GFX/LIB"
$	CLOSE  OUT
$ENDIF
$!Append OPT files to LIBSDL_GFX.OPT
$!
$OPEN/WRITE OUT BUILD.COM
$ WRITE OUT "$COPY *.H SDL:"
$ WRITE OUT "$",MAKE," ALL"
$ WRITE OUT "$SET DEF [.TEST]"
$ WRITE OUT "$",MAKE," ALL"
$ WRITE OUT "$ SET DEF [-]"
$ WRITE OUT "$ CURRENT = F$ENVIRONMENT (""DEFAULT"") "
$ WRITE OUT "$TMP=CURRENT"
$ WRITE OUT "$OPEN/WRITE OUTT LIBSDL_GFX$STARTUP.COM"
$ WRITE OUT "$WRITE OUTT ""$ DEFINE LIBSDL_GFX ","'","'","TMP'""
$ write out "$ close outt"
$!
$ WRITE OUT "$WRITE SYS$OUTPUT "" ""
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** ""
$ WRITE OUT "$WRITE SYS$OUTPUT ""LIBSDL_GFX$STARTUP.COM has been created. ""
$ WRITE OUT "$WRITE SYS$OUTPUT ""This file setups all logicals needed. It should be execute before using ""
$ WRITE OUT "$WRITE SYS$OUTPUT ""Nice place to call it - LOGIN.COM ""
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** ""
$ IF (LIBSDL_STATIC.EQ.1)
$   THEN
$       WRITE OUT "$WRITE SYS$OUTPUT ""Important! You are using static library of libSDL. To compile a project with libSDL_GFX you should: ""
$       WRITE OUT "$WRITE SYS$OUTPUT ""CC/name=(as_is,short)/float=ieee/INCL=(SDL,LIBSDL_GFX) PROJECT.C""
$       WRITE OUT "$WRITE SYS$OUTPUT ""LINK PROJECT,LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT""
$   ELSE
$       WRITE OUT "$WRITE SYS$OUTPUT ""Important! You are using shared library of libSDL. To compile a project with libSDL_GFX you should: ""
$       WRITE OUT "$WRITE SYS$OUTPUT ""CC/name=(as_is,short)/float=ieee/INCL=(SDL,LIBSDL_GFX) PROJECT.C""
$       WRITE OUT "$WRITE SYS$OUTPUT ""LINK PROJECT,LIBSDL_GFX:LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT""
$ENDIF
$CLOSE OUT
$!
$COP SYS$INPUT DESCRIP.MMS
# Generated by CONFIGURE.COM
# Alexey Chupahin elvis_75@mail.ru

.FIRST
	DEF LIBSDL_GFX []

CC=cc

CFLAGS = /INCLUDE=([], SDL, X11:)  \
/name=(as_is,short)/float=ieee/OPTIMIZE=(INLINE=SPEED) /WARN=DIS=NORETURNVAL

OBJ = \
SDL_FRAMERATE.OBJ,\
SDL_GFXBLITFUNC.OBJ,\
SDL_GFXPRIMITIVES.OBJ,\
SDL_IMAGEFILTER.OBJ,\
SDL_ROTOZOOM.OBJ


LIBSDL_GFX.OLB : $(OBJ)
        lib/crea []LIBSDL_GFX.OLB $(OBJ)

SDL_FRAMERATE.OBJ : SDL_FRAMERATE.c
SDL_GFXBLITFUNC.OBJ : SDL_GFXBLITFUNC.c
SDL_GFXPRIMITIVES.OBJ : SDL_GFXPRIMITIVES.c
SDL_IMAGEFILTER.OBJ : SDL_IMAGEFILTER.c
SDL_ROTOZOOM.OBJ : SDL_ROTOZOOM.c

$!
$IF (LIBSDL_STATIC.EQ.1)
$  THEN
$	APP SYS$INPUT DESCRIP.MMS

ALL : LIBSDL_GFX.OLB
	$!
$!
$  ELSE
$	APP SYS$INPUT DESCRIP.MMS
SDL_GFX$SHR.EXE : LIBSDL_GFX.OLB
	LINK/SHARE=SDL_GFX$SHR.EXE []SDL_FRAMERATE.OBJ,[]LIBSDL_GFX/OPT, LIBSDL:LIBSDL$SHR/OPT, []LIBSDL_GFX$DEF/OPT
        COPY SDL_GFX$SHR.EXE SYS$SHARE

ALL : LIBSDL_GFX.OLB, SDL_GFX$SHR.EXE
	$!

$ENDIF
$!
$! DESCRIP.MMS in TEST
$IF (LIBSDL_STATIC.EQ.1)
$THEN
$	COPY SYS$INPUT [.TEST]DESCRIP.MMS
#
# Generated by CONFIGURE.COM
# Alexey Chupahin elvis_75@mail.ru
.FIRST
	DEF LIBSDL_GFX [-]

CC=cc

CFLAGS = /INCLUDE=([],[-], SDL, X11:) \
/name=(as_is,short)/float=ieee/OPTIMIZE=(INLINE=SPEED) 

ALL : \
        TESTABGR.EXE,\
        TESTFONTS.EXE,\
        TESTFRAMERATE.EXE,\
        TESTGFXBLIT.EXE,\
        TESTGFXPRIMITIVES.EXE,\
        TESTGFXTEXTURE.EXE,\
        TESTIMAGEFILTER.EXE,\
        TESTROTOZOOM.EXE,\
        TESTSHRINK.EXE
	WRITE SYS$OUTPUT ""

TESTABGR.EXE : TESTABGR.OBJ
	LINK TESTABGR, LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT

TESTFONTS.EXE : TESTFONTS.OBJ
	LINK TESTFONTS, LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT

TESTFRAMERATE.EXE : TESTFRAMERATE.OBJ
	LINK TESTFRAMERATE, LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT

TESTGFXBLIT.EXE : TESTGFXBLIT.OBJ
	LINK TESTGFXBLIT, LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT

TESTGFXPRIMITIVES.EXE : TESTGFXPRIMITIVES.OBJ
	LINK TESTGFXPRIMITIVES, LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT

TESTGFXTEXTURE.EXE : TESTGFXTEXTURE.OBJ
	LINK TESTGFXTEXTURE, LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT

TESTIMAGEFILTER.EXE : TESTIMAGEFILTER.OBJ
	LINK TESTIMAGEFILTER, LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT

TESTROTOZOOM.EXE : TESTROTOZOOM.OBJ
	LINK TESTROTOZOOM, LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT

TESTSHRINK.EXE : TESTSHRINK.OBJ
	LINK TESTSHRINK, LIBSDL_GFX:LIBSDL_GFX/OPT,LIBSDL:LIBSDL/OPT

TESTABGR.obj : TESTABGR.c
TESTFONTS.obj : TESTFONTS.c
TESTFRAMERATE.obj : TESTFRAMERATE.c
TESTGFXBLIT.obj : TESTGFXBLIT.c
TESTGFXPRIMITIVES.obj : TESTGFXPRIMITIVES.c
TESTGFXTEXTURE.obj : TESTGFXTEXTURE.c
TESTIMAGEFILTER.obj : TESTIMAGEFILTER.c
TESTROTOZOOM.obj : TESTROTOZOOM.c
TESTSHRINK.obj : TESTSHRINK.c
$ ELSE
$       COPY SYS$INPUT [.TEST]DESCRIP.MMS
#
# Generated by CONFIGURE.COM
# Alexey Chupahin elvis_75@mail.ru
.FIRST
        DEF LIBSDL_GFX [-]

CC=cc

CFLAGS = /INCLUDE=([],[-], SDL, X11:)  \
/name=(as_is,short)/float=ieee/OPTIMIZE=(INLINE=SPEED)

ALL : \
        TESTABGR.EXE,\
        TESTFONTS.EXE,\
        TESTFRAMERATE.EXE,\
        TESTGFXBLIT.EXE,\
        TESTGFXPRIMITIVES.EXE,\
        TESTGFXTEXTURE.EXE,\
        TESTIMAGEFILTER.EXE,\
        TESTROTOZOOM.EXE,\
        TESTSHRINK.EXE
	WRITE SYS$OUTPUT ""

TESTABGR.EXE : TESTABGR.OBJ
        LINK TESTABGR, LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT

TESTFONTS.EXE : TESTFONTS.OBJ
        LINK TESTFONTS, LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT

TESTFRAMERATE.EXE : TESTFRAMERATE.OBJ
        LINK TESTFRAMERATE, LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT

TESTGFXBLIT.EXE : TESTGFXBLIT.OBJ
        LINK TESTGFXBLIT, LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT

TESTGFXPRIMITIVES.EXE : TESTGFXPRIMITIVES.OBJ
        LINK TESTGFXPRIMITIVES, LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT

TESTGFXTEXTURE.EXE : TESTGFXTEXTURE.OBJ
        LINK TESTGFXTEXTURE, LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT

TESTIMAGEFILTER.EXE : TESTIMAGEFILTER.OBJ
        LINK TESTIMAGEFILTER, LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT

TESTROTOZOOM.EXE : TESTROTOZOOM.OBJ
        LINK TESTROTOZOOM, LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT

TESTSHRINK.EXE : TESTSHRINK.OBJ
        LINK TESTSHRINK, LIBSDL_GFX$SHR/OPT,LIBSDL:LIBSDL$SHR/OPT

TESTABGR.obj : TESTABGR.c
TESTFONTS.obj : TESTFONTS.c
TESTFRAMERATE.obj : TESTFRAMERATE.c
TESTGFXBLIT.obj : TESTGFXBLIT.c
TESTGFXPRIMITIVES.obj : TESTGFXPRIMITIVES.c
TESTGFXTEXTURE.obj : TESTGFXTEXTURE.c
TESTIMAGEFILTER.obj : TESTIMAGEFILTER.c
TESTROTOZOOM.obj : TESTROTOZOOM.c
TESTSHRINK.obj : TESTSHRINK.c
$ENDIF
$!
$!
$!
$!
$!
$DEAS SYS$OUTPUT
$IF (LIBSDL_STATIC.NE.1)
$  THEN
$	WRITE SYS$OUTPUT "generating LIBSDL_GFX$SHR.OPT"
$	COPY SYS$INPUT LIBSDL_GFX$SHR.OPT
SYS$SHARE:SDL_GFX$SHR/SHARE
$ENDIF
$WRITE SYS$OUTPUT "generating LIBSDL_GFX.OPT"
$COPY SYS$INPUT LIBSDL_GFX.OPT
LIBSDL_GFX:LIBSDL_GFX/LIB
$!
$WRITE SYS$OUTPUT "generating LIBSDL_GFX$DEF.OPT"
$IF (SHARED.EQ.64)
$  THEN
$       COPY SYS$INPUT LIBSDL_GFX$DEF.OPT
case_sensitive=YES
SYMBOL_VECTOR= (-
SDL_initFramerate=PROCEDURE,-
SDL_getFramerate=PROCEDURE,-
SDL_setFramerate=PROCEDURE,-
SDL_framerateDelay=PROCEDURE,-
SDL_gfxBlitRGBA=PROCEDURE,-
SDL_gfxSetAlpha=PROCEDURE,-
pixelColor=PROCEDURE,-
pixelRGBA=PROCEDURE,-
hlineColor=PROCEDURE,-
hlineRGBA=PROCEDURE,-
vlineColor=PROCEDURE,-
vlineRGBA=PROCEDURE,-
rectangleColor=PROCEDURE,-
rectangleRGBA=PROCEDURE,-
boxColor=PROCEDURE,-
boxRGBA=PROCEDURE,-
lineColor=PROCEDURE,-
lineRGBA=PROCEDURE,-
aalineColor=PROCEDURE,-
aalineRGBA=PROCEDURE,-
circleColor=PROCEDURE,-
circleRGBA=PROCEDURE,-
aacircleColor=PROCEDURE,-
aacircleRGBA=PROCEDURE,-
filledCircleColor=PROCEDURE,-
filledCircleRGBA=PROCEDURE,-
ellipseColor=PROCEDURE,-
ellipseRGBA=PROCEDURE,-
aaellipseColor=PROCEDURE,-
aaellipseRGBA=PROCEDURE,-
filledEllipseColor=PROCEDURE,-
filledEllipseRGBA=PROCEDURE,-
pieColor=PROCEDURE,-
pieRGBA=PROCEDURE,-
filledPieColor=PROCEDURE,-
filledPieRGBA=PROCEDURE,-
trigonColor=PROCEDURE,-
trigonRGBA=PROCEDURE,-
aatrigonColor=PROCEDURE,-
aatrigonRGBA=PROCEDURE,-
filledTrigonColor=PROCEDURE,-
filledTrigonRGBA=PROCEDURE,-
polygonColor=PROCEDURE,-
polygonRGBA=PROCEDURE,-
aapolygonColor=PROCEDURE,-
aapolygonRGBA=PROCEDURE,-
filledPolygonColor=PROCEDURE,-
filledPolygonRGBA=PROCEDURE,-
texturedPolygon=PROCEDURE,-
bezierColor=PROCEDURE,-
bezierRGBA=PROCEDURE,-
characterColor=PROCEDURE,-
characterRGBA=PROCEDURE,-
stringColor=PROCEDURE,-
stringRGBA=PROCEDURE,-
gfxPrimitivesSetFont=PROCEDURE,-
rotozoomSurface=PROCEDURE,-
rotozoomSurfaceXY=PROCEDURE,-
rotozoomSurfaceSize=PROCEDURE,-
rotozoomSurfaceSizeXY=PROCEDURE,-
zoomSurface=PROCEDURE,-
zoomSurfaceSize=PROCEDURE,-
SDL_imageFilterAbsDiff=PROCEDURE,-
SDL_imageFilterAdd=PROCEDURE,-
SDL_imageFilterAddByte=PROCEDURE,-
SDL_imageFilterAddByteToHalf=PROCEDURE,-
SDL_imageFilterBitAnd=PROCEDURE,-
SDL_imageFilterBitNegation=PROCEDURE,-
SDL_imageFilterBitOr=PROCEDURE,-
SDL_imageFilterClipToRange=PROCEDURE,-
SDL_imageFilterDiv=PROCEDURE,-
SDL_imageFilterMean=PROCEDURE,-
SDL_imageFilterMMXoff=PROCEDURE,-
SDL_imageFilterMMXon=PROCEDURE,-
SDL_imageFilterMult=PROCEDURE,-
SDL_imageFilterMultByByte=PROCEDURE,-
SDL_imageFilterMultDivby2=PROCEDURE,-
SDL_imageFilterMultDivby4=PROCEDURE,-
SDL_imageFilterMultNor=PROCEDURE,-
SDL_imageFilterNormalizeLinear=PROCEDURE,-
SDL_imageFilterShiftLeft=PROCEDURE,-
SDL_imageFilterShiftLeftByte=PROCEDURE,-
SDL_imageFilterShiftRight=PROCEDURE,-
SDL_imageFilterSub=PROCEDURE,-
SDL_imageFilterSubByte=PROCEDURE,-
S_imagFiltBinUsingThreshold=PROCEDURE,-
S_imagFiltSftRhtAndMultByByte=PROCEDURE,-
shrinkSurface=PROCEDURE-
)
$  ELSE
$	COPY SYS$INPUT LIBSDL_GFX$DEF.OPT
case_sensitive=YES
UNIVERSAL=SDL_initFramerate
UNIVERSAL=SDL_getFramerate
UNIVERSAL=SDL_setFramerate
UNIVERSAL=SDL_framerateDelay
UNIVERSAL=SDL_gfxBlitRGBA
UNIVERSAL=SDL_gfxSetAlpha
UNIVERSAL=pixelColor
UNIVERSAL=pixelRGBA
UNIVERSAL=hlineColor
UNIVERSAL=hlineRGBA
UNIVERSAL=vlineColor
UNIVERSAL=vlineRGBA
UNIVERSAL=rectangleColor
UNIVERSAL=rectangleRGBA
UNIVERSAL=boxColor
UNIVERSAL=boxRGBA
UNIVERSAL=lineColor
UNIVERSAL=lineRGBA
UNIVERSAL=aalineColor
UNIVERSAL=aalineRGBA
UNIVERSAL=circleColor
UNIVERSAL=circleRGBA
UNIVERSAL=aacircleColor
UNIVERSAL=aacircleRGBA
UNIVERSAL=filledCircleColor
UNIVERSAL=filledCircleRGBA
UNIVERSAL=ellipseColor
UNIVERSAL=ellipseRGBA
UNIVERSAL=aaellipseColor
UNIVERSAL=aaellipseRGBA
UNIVERSAL=filledEllipseColor
UNIVERSAL=filledEllipseRGBA
UNIVERSAL=pieColor
UNIVERSAL=pieRGBA
UNIVERSAL=filledPieColor
UNIVERSAL=filledPieRGBA
UNIVERSAL=trigonColor
UNIVERSAL=trigonRGBA
UNIVERSAL=aatrigonColor
UNIVERSAL=aatrigonRGBA
UNIVERSAL=filledTrigonColor
UNIVERSAL=filledTrigonRGBA
UNIVERSAL=polygonColor
UNIVERSAL=polygonRGBA
UNIVERSAL=aapolygonColor
UNIVERSAL=aapolygonRGBA
UNIVERSAL=filledPolygonColor
UNIVERSAL=filledPolygonRGBA
UNIVERSAL=texturedPolygon
UNIVERSAL=bezierColor
UNIVERSAL=bezierRGBA
UNIVERSAL=characterColor
UNIVERSAL=characterRGBA
UNIVERSAL=stringColor
UNIVERSAL=stringRGBA
UNIVERSAL=gfxPrimitivesSetFont
UNIVERSAL=rotozoomSurface
UNIVERSAL=rotozoomSurfaceXY
UNIVERSAL=rotozoomSurfaceSize
UNIVERSAL=rotozoomSurfaceSizeXY
UNIVERSAL=zoomSurface
UNIVERSAL=zoomSurfaceSize
UNIVERSAL=shrinkSurface
UNIVERSAL=SDL_IMAGEFILTERABSDIFF
UNIVERSAL=SDL_IMAGEFILTERADD
UNIVERSAL=SDL_IMAGEFILTERADDBYTE
UNIVERSAL=SDL_IMAGEFILTERADDBYTETOHALF
UNIVERSAL=SDL_IMAGEFILTERBITAND
UNIVERSAL=SDL_IMAGEFILTERBITNEGATION
UNIVERSAL=SDL_IMAGEFILTERBITOR
UNIVERSAL=SDL_IMAGEFILTERCLIPTORANGE
UNIVERSAL=SDL_IMAGEFILTERDIV
UNIVERSAL=SDL_IMAGEFILTERMEAN
UNIVERSAL=SDL_IMAGEFILTERMMXOFF
UNIVERSAL=SDL_IMAGEFILTERMMXON
UNIVERSAL=SDL_IMAGEFILTERMULT
UNIVERSAL=SDL_IMAGEFILTERMULTBYBYTE
UNIVERSAL=SDL_IMAGEFILTERMULTDIVBY2
UNIVERSAL=SDL_IMAGEFILTERMULTDIVBY4
UNIVERSAL=SDL_IMAGEFILTERMULTNOR
UNIVERSAL=SDL_IMAGEFILTERNORMALIZELINEAR
UNIVERSAL=SDL_IMAGEFILTERSHIFTLEFT
UNIVERSAL=SDL_IMAGEFILTERSHIFTLEFTBYTE
UNIVERSAL=SDL_IMAGEFILTERSHIFTRIGHT
UNIVERSAL=SDL_IMAGEFILTERSUB
UNIVERSAL=SDL_IMAGEFILTERSUBBYTE
UNIVERSAL=S_IMAGFILTBINUSINGTHRESHOLD
UNIVERSAL=S_IMAGFILTSFTRHTANDMULTBYBYTE
$ENDIF
$!
$IF (F$SEARCH("SDL_IMAGEFILTER.H;2").EQS."")
$ THEN
$	WRITE SYS$OUTPUT "Patching SDL_IMAGEFILTER.H"
$ 	DEFINE SYS$ERROR _NLA0:
$ 	DEFINE SYS$OUTPUT _NLA0:
$	COPY/CONC SYS$INPUT,SDL_IMAGEFILTER.H;1 SDL_IMAGEFILTER.H;2
/* Alexey Chupahin CHAPG OpenVMS to resolve 32 symbol-limit */
#define SDL_imageFilterShiftRightAndMultByByte S_imagFiltSftRhtAndMultByByte
#define SDL_imageFilterBinarizeUsingThreshold  S_imagFiltBinUsingThreshold
#define SDL_imageFilterConvolveKernel3x3Divide S_imagFiltConvolKern3x3Divide
#define SDL_imageFilterConvolveKernel5x5Divide S_imagFiltConvolKern5x5Divide
#define SDL_imageFilterConvolveKernel7x7Divide S_imagFiltConvolKern7x7Divide
#define SDL_imageFilterConvolveKernel3x3ShiftRight S_imagFiltConvKern3x3ShiftRig
#define SDL_imageFilterConvolveKernel5x5ShiftRight S_imagFiltConvKern5x5ShiftRig
#define SDL_imageFilterConvolveKernel7x7ShiftRight S_imagFiltConvKern7x7ShiftRig
#define SDL_imageFilterConvolveKernel3x3ShiftRight S_imagFiltConvKern3x3ShiftRig
#define SDL_imageFilterConvolveKernel5x5ShiftRight S_imagFiltConvKern5x5ShiftRig
#define SDL_imageFilterConvolveKernel7x7ShiftRight S_imagFiltConvKern7x7ShiftRig
#define SDL_imageFilterConvolveKernel3x3ShiftRight S_imagFiltConvKern3x3ShiftRig
#define SDL_imageFilterConvolveKernel5x5ShiftRight S_imagFiltConvKern5x5ShiftRig
#define SDL_imageFilterConvolveKernel9x9Divide SDL_FilterConvKernel9x9Divide
#define SDL_imageFilterConvolveKernel9x9ShiftRight S_FiltConvKernel9x9ShiftRight
#define SDL_imageFilterShiftRightUintMMX       SDL_imagFilterShiftRightUintMM
#define SDL_imageFilterShiftRightAndMultByByteMMX SDL_FiltShiftRightMulByByteMM
#define SDL_imageFilterBinarizeUsingThresholdMMX SDL_FilterBinUsingThresholdMMX
#define SDL_imageFilterNormalizeLinearMMX      SDL_imageFilterNormLinearMMX
$	DEAS SYS$ERROR
$	DEAS SYS$OUTPUT
$ENDIF
$!
$!
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Now you can type @BUILD "
$!
$EXIT:
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$DEL TEST.OBJ;*
$DEL TEST.C;*
$DEL TEST.EXE;*
$DEAS SYS$ERROR
$DEAS SYS$OUTPUT
